搜索
查看: 3154|回复: 5

[peaks-calling] 菜鸟关于安装deeptools以及相关package的问题

[复制链接]

2

主题

5

帖子

47

积分

新手上路

Rank: 1

积分
47
发表于 2017-6-4 21:55:34 | 显示全部楼层 |阅读模式
刚刚开始学习,目前想利用deeptools来分析一下chip-seq数据,不过安装过程 (sudo pip install deeptools)貌似没有什么问题,但是运行不同的module就出现以下的问题,请问是什么原因呢?sys.path的问题么?
希望有人能帮忙解决,非常感谢。

MacBook-Pro:Input_1_mapping xuenjun$ computeMatrix
Traceback (most recent call last):
  File "/usr/local/bin/computeMatrix", line 4, in <module>
    from deeptools.computeMatrix import main
  File "/Library/Python/2.7/site-packages/deeptools/computeMatrix.py", line 13, in <module>
    from deeptools import heatmapper
  File "/Library/Python/2.7/site-packages/deeptools/heatmapper.py", line 9, in <module>
    from deeptools import getScorePerBigWigBin
  File "/Library/Python/2.7/site-packages/deeptools/getScorePerBigWigBin.py", line 10, in <module>
    import deeptools.utilities
  File "/Library/Python/2.7/site-packages/deeptools/utilities.py", line 3, in <module>
    import pysam
  File "/Library/Python/2.7/site-packages/pysam/__init__.py", line 5, in <module>
    from pysam.libchtslib import *
  File "pysam/libchtslib.pyx", line 1, in init pysam.libchtslib (pysam/libchtslib.c:12515)
ImportError: dlopen(/Library/Python/2.7/site-packages/pysam/libcutils.so, 2): Library not loaded: @rpath/pysam-0.11.2.1-py2.7-macosx-10.12-intel.egg/pysam/libcsamtools.so
  Referenced from: /Library/Python/2.7/site-packages/pysam/libcutils.so
  Reason: image not found



回复

使用道具 举报

634

主题

1182

帖子

4030

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
4030
发表于 2017-6-4 23:53:50 | 显示全部楼层
看起来是在说你的pysam这个模块没有安装,你先安装吧
你这个问题很复杂,需要打赏,请点击 http://www.bio-info-trainee.com/donate 进行打赏,谢谢
回复 支持 反对

使用道具 举报

64

主题

138

帖子

681

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
681
发表于 2017-6-5 21:58:30 | 显示全部楼层
这个结果下次以图像或者代码的形式吧,看着很不舒服哦。这样大家就默默略过了哦
回复 支持 反对

使用道具 举报

2

主题

5

帖子

47

积分

新手上路

Rank: 1

积分
47
 楼主| 发表于 2017-6-6 14:37:09 | 显示全部楼层
Jimmy 发表于 2017-6-4 23:53
看起来是在说你的pysam这个模块没有安装,你先安装吧

我检查了一下pysam是正常安装了呀,而且deeptools中requirement里的所有package都安装了,可是还是不能正常使用,能帮忙再看看么,非常感谢
回复 支持 反对

使用道具 举报

2

主题

5

帖子

47

积分

新手上路

Rank: 1

积分
47
 楼主| 发表于 2017-6-6 14:37:50 | 显示全部楼层
附件代码

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
回复

使用道具 举报

2

主题

5

帖子

113

积分

注册会员

Rank: 2

积分
113
发表于 2017-7-28 17:40:55 | 显示全部楼层
xuenjun1 发表于 2017-6-6 14:37
我检查了一下pysam是正常安装了呀,而且deeptools中requirement里的所有package都安装了,可是还是不能正 ...

参考:
Problems with Pysam and deeptools [Help me, please..]
https://www.biostars.org/p/202965/
试试 pip install pysam==0.8.4 命令
我碰到的问题跟你不完全一样,但也是import pysam出了问题,我重新安装了pysam 0.8.4版本就解决了。
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|生信技能树 ( 粤ICP备15016384号  

GMT+8, 2019-7-18 09:31 , Processed in 0.035311 second(s), 28 queries .

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.